<template>
    <h1>Home</h1>

    <VRow>
        <!-- OHNE Pagination
        <VCol cols="12" md="6" lg="4" xl="3" v-for="product in productStore.products">-->

        <!-- MIT Pagination -->
        <VCol cols="12" md="6" lg="4" xl="3" v-for="product in products">
            <ProductCard :product="product"/>
        </VCol>
    </VRow>
</template>

<script setup>
    import {useProductStore} from "@/store/productStore";
    import {computed, onMounted, ref} from "vue";
    import ProductCard from "@/components/ProductCard.vue";

    const productStore = useProductStore()

    // Pagination
    const page = ref(0)
    const pageSize = ref(10)
    const products = computed(() => productStore.products.slice(page.value * pageSize.value, page.value * pageSize.value + pageSize.value))

    onMounted(() => {
        productStore.loadAllProducts()
    })
</script>
